function OnWarpEnter() 

	PutObject("bpa1") -- pilon
	PutObject("bqa1") -- pipette
	PutObject("bra1") -- petite cuillère
	SetMarker("stove_door", 4, 0)
	AnimationSetToStart("bva1",false) -- bougie du bureau
	AnimationSetToStart("boa1", false)
	SetMarker("cookingPot", 4, 0)
	SetMarker("bka1", 4, 0) -- bol
	SetMarker("StoveOpen", 4, 0)
	SetMarker("bpa1", 4, 0)
	SetMarker("cs\\Warp_0011.wp", 0 , 0) 
	SetMarker("Vinegar", 1, 0)
	SetMarker("oil", 1, 0)
	SetMarker("Sage", 1, 0)
	SetMarker("Wine", 1, 0)
	SetMarker("Musk", 1, 0)
	SetMarker("Cloves", 1, 0)
	SetMarker("Rose", 1, 0)
	stove_open = false
	if not ETAT_DAY == "D4" then
		SetMarker("beewax", 1, 0)
	end
	
	if not pelter or pelter == 0 then
		AnimationSetToStart("bka1") -- bol
		pelter = 0
	elseif pelter == 1 then 
		StartAnimationPart("bka1", 1, 2, -1, true) -- argile
	elseif pelter == 2 then 
		StartAnimationPart("bka1", 2, 3, -1, true) -- bol (tous types)
	end
	if not cooking_pot_ready then
		AnimationSetToStart("bla1") -- pot
	end
	-- stove_state == 1 closed off / 2 open off / 3 open on / 4 closed on
	if stove_state  == 0  or not stove_state then
		stove_state = 1
	end
	if stove_state == 1 then 
		StartAnimationPart("bma1", 110,111, -1, true) -- tiroir du poêle
	elseif stove_state == 2 then 
		AnimationSetToStart("bma1", true) -- tiroir du poêle
	elseif stove_state == 3 then 
		StartAnimationPart("bma1", 60, 90,-1, true) -- tiroir du poêle
	elseif stove_state == 4 then 
		StartAnimationPart("bma1", 140, 150, -1, true) -- tiroir du poêle
	end
	if stove_open then 
		StartAnimationPart("bna1", 60, 90, -1, true) -- poignée du poêle
	else
		AnimationSetToStart("bna1") -- poignée du poêle
	end

	if not OPEN_DESK_0013_D3 then
		AnimationSetToStart("bta1",true)
	elseif OPEN_DESK_0013_D3 then
		AnimationSetToEnd("bta1",true)
		if not PAPER_DESK_0013_D3 then
			PutObject("bua1",true)
		end
	end
	if not PHIAL_AMBERGRIS_TAKEN then
		PutObject("bja1",true)
	end
	
	if ETAT_DAY == "D3" then 
		AnimationSetToEnd("bba1",false) -- Nostradamus dans le lit
		AnimationSetToEnd("bda1",false)	-- couverture
		if NEED_PREPARE_MEDICINE_D3 and not JEAN_KEY_TAKEN_0032_D3 then
			SetMarker("cs\\Warp_0013.wp" , 0 , 0) 
		end
	end 
	
	if ETAT_DAY == "D4" then 
		StartAnimationPart("bza1",0,30,-1,false) -- Nostradamus à son bureau
		SetMarker("bza1",4,0)
		SetMarker("Cinnamon", 1, 0)
		SetMarker("IronFilings", 1, 0)
		SetMarker("SparrowBlood", 1, 0)
		SetMarker("GratedNutmeg", 1, 0)
		SetMarker("IrisIllyrica", 1, 0)	
		SetMarker("Sugar", 1, 0)
	end
	
end

function ShowDialog()
	
end

function OnAnimationFinished(AnimName) 
	
	if AnimName == "bma1" and stove_state == 3 then 
		StartAnimationPart("bma1", 60, 90, -1, true) -- tiroir du poêle
	end
	if AnimName == "bna1" and not toPick == 0 then
		StartAnimationPart("bna1", 14, 15, -1, false) -- poignée du poêle
		toPick = 0
		stove_open = false
		SetMarker("StoveOpen", 4, 0)
	end
	if AnimName == "bna1" and toPick == 0 then
		AnimationSetToStart("bna1") -- poignée du poêle
	end
	if AnimName == "bna1" and CreamTaken then
		SetMarker("StoveOpen", 4, 0)
		stove_open = false
	end
	if AnimName == "bla1"  then
		StartAnimationPart("bla1", 40, 60, -1) -- pot
		if CreamReady then
			CreamHeated = true
		elseif AphrodisiacReady then
			AphrodisiacHeated = true
			DrawText("Ma1101","Ma1101.ogg",0) -- Ça doit être prêt.
		end
	end
		
end

function OnDialogFinished(dialogName)
	if dialogName == "Ma1483" or dialogName == "Ma0211" or dialogName == "Ma0216" then
		SetMarker("Vinegar", 1, 0)
		SetMarker("beewax", 1, 0)
		SetMarker("oil", 1, 0)
		SetMarker("Sage", 1, 0)
		SetMarker("Wine", 1, 0)
		SetMarker("bka1", 4, 0)
		SetMarker("stove_door", 4, 0)
		SetMarker("bpa1", 4, 0)
		SetMarker("cookingPot", 4, 0)
		SetMarker("Musk", 1, 0)
		SetMarker("Cloves", 1, 0)
		SetMarker("Rose", 1, 0)
		if ETAT_DAY == "D4" then
			SetMarker("Sugar", 1, 0)
			SetMarker("Eucalyptus", 1, 0)
			SetMarker("IrisIllyrica", 1, 0)
			SetMarker("GratedNutmeg", 1, 0)
			SetMarker("SparrowBlood", 1, 0)
			SetMarker("IronFilings", 1, 0)
			SetMarker("Cinnamon", 1, 0)
		elseif not stove_open then 
			SetMarker("StoveOpen", 4, 0)
		end
	end
	if dialogName == "Ma1087" then
		stove_open = false
		SetMarker("StoveOpen", 4, 0)
	end
	
	
	
	if ETAT_DAY == "D4" then
		if dialogName == "No1857" or dialogName == "No1859" or dialogName == "No1862" 
		or dialogName == "No1864" or dialogName == "No1866" or dialogName == "No1868" 
		or dialogName == "No1871" or dialogName == "No1873" or dialogName == "No1875" 
		or dialogName == "No1877" or dialogName == "No1879" or dialogName == "No1881" 
		or dialogName == "No1883" or dialogName == "No1885" or dialogName == "No2563" 
		or dialogName == "No2565" or dialogName == "No2569" or dialogName == "No2573" 
		or dialogName == "No2577" or dialogName == "No2581" or dialogName == "No2583" 
		or dialogName == "No2573" or dialogName == "No2577" or dialogName == "No2585" then
			StartAnimationPart("bza1", 0, 30, -1, true) -- Nostradamus parle à son bureau
		end
		if dialogName == "Ma1858" or dialogName == "Ma1860" or dialogName == "Ma1863" 
		or dialogName == "Ma1865" or dialogName == "Ma1867" or dialogName == "Ma1870" 
		or dialogName == "Ma1872" or dialogName == "Ma1874" or dialogName == "Ma1876" 
		or dialogName == "Ma1878" or dialogName == "Ma1880" or dialogName == "Ma1882" 
		or dialogName == "Ma1884" or dialogName == "Ma1886" or dialogName == "Ma2562" 
		or dialogName == "Ma2564" or dialogName == "Ma2567" or dialogName == "Ma2571" 
		or dialogName == "Ma2574" or dialogName == "Ma2580" or dialogName == "Ma2582" 
		or dialogName == "Ma2584" then
			StartAnimationPart("bza1", 66, 86, -1, false) -- Nostradamus à son bureau
		end
		if dialogName == "" or dialogName == "" then
			SetMarker("bza1", 4, 0)
		end
		if dialogName == "No2573" or dialogName == "No2577" or dialogName == "No2585" then
			AskSeparation()
		end
		if dialogName == "No2573"  then
			CAN_ENTER_QUEEN_ROOM_D4 = true
		end
	end
	
end

function AskSeparation()
	if ETAT_DAY == "D4" then
		PushAnswer("Ma2562") -- Le thème que j'ai trouvé chez Chavigny est celui d'Henri de Navarre.
		PushAnswer("Ma2574") -- Toi qui le connais bien, penses-tu que Chavigny pourrait être derrière tout ça ?
		if AMP45 then
			PushAnswer("Ma2578") -- Philibert devait se sentir en danger. 
		end
		PushAnswer("3411")
	end
	
end

function OnAnswered(dialogName)

	if dialogName == "3411" then
		SetMarker("bza1", 4, 0)
	end
	
	if ETAT_DAY == "D4" then
		if dialogName == "Ma2562" then -- -- Le thème que j'ai trouvé chez Chavigny est celui d'Henri de Navarre.
			StartAnimationPart("bza1",66,86,-1,false)
			DrawText("No2563","No2563.ogg",2) -- Je savais bien que cette date de naissance ne m'était pas inconnue. Je suppose que tu as calculé sa révolution solaire ?
			DrawText("Ma2564","Ma2564.ogg",0) -- En effet, et il est en danger. Etant donné ce que j'ai pu entrevoir de son avenir, je pense que cette malédiction n'est qu'un prétexte pour s'en prendre à lui.
			DrawText("No2565","No2565.ogg",2) -- C'est possible, nombreux sont ceux qui feraient tout pour empêcher un huguenot de monter sur le trône !
			DrawText("Ma2566","Ma2566.ogg",0) -- La meilleure façon de protéger le jeune Henri est de stopper cette funeste série de meurtres. Pour que leur plan marche, ils doivent encore tuer trois personnes avant de s'attaquer à la famille royale. 
			DrawText("Ma2567","Ma2567.ogg",0) -- Et sans l'accomplissement d'une malédiction divine, s'en prendre à lui risque d'être plus délicat.	
			DrawText("No2568","No2568.ogg",2) -- Sans doute, mais nous avons certainement affaire à des gens prêts à tout. 
			DrawText("No2569","No2569.ogg",2) -- Qui sait leur plan nous fait peut-être figurer parmi les prochains morts !
			DrawText("Ma2570","Ma2570.ogg",0) -- Raison de plus pour arrêter tout ça !
			DrawText("Ma2571","Ma2571.ogg",0) -- Faut-il en parler à la reine mère ?
			DrawText("No2572","No2572.ogg",2) -- Je ne sais pas trop. Je ne la pense pas capable d'être complice de cette mascarade, mais ceux qui en tirent les ficelles sont peut-être très proches d'elle.
			DrawText("No2573","No2573.ogg",2) -- Tant que nous n'avons rien de tangible, il vaut mieux garder cela pour nous. Mais va la voir quand même, elle trouverait suspect que tu ne lui rendes aucun compte.
		elseif dialogName == "Ma2574" then -- -- Toi qui le connais bien, penses-tu que Chavigny pourrait être derrière tout ça ?
			StartAnimationPart("bza1",66,86,-1,false)
			DrawText("No2575","No2575.ogg",2) -- Il y a peu je t'aurais répondu non. Mais il y a beaucoup d'éléments troublants, et puis l'argent et le pouvoir peuvent changer un homme.
			DrawText("No2576","No2576.ogg",2) -- Tu ne dois te fier à personne.
			DrawText("No2577","No2577.ogg",2) -- L'avenir est capricieux, Madeleine. Si j'avais prévu ce qui se passe aujourd'hui, je t'aurais envoyée loin d'ici avec ta mère.
		elseif dialogName == "Ma2578" then -- -- Philibert devait se sentir en danger. 
			DrawText("Ma2579","Ma2579.ogg",0) -- Il a laissé derrière lui une petite pierre presque identique à la tienne et un papier portant les initiales A.M.P. suivies du chiffre 45.
			DrawText("Ma2580","Ma2580.ogg",0) -- Cette note m'a conduit au livre de Paracelse...
			DrawText("No2581","No2581.ogg",2) -- Philibert était un homme cultivé. Et qu'y as-tu trouvé ?
			DrawText("Ma2582","Ma2582.ogg",0) -- Une feuille portant des signes inconnus, en fait on dirait un alphabet. Ca a peut-être un rapport avec ses recherches sur les signes celtes et avec les pierres gravées. Les motifs se ressemblent beaucoup.
			DrawText("No2583","No2583.ogg",2) -- Intéressant. Dans quel livre de l'Astronomia as-tu trouvé cette feuille ?
			DrawText("Ma2584","Ma2584.ogg",0) -- Pardon ?
			DrawText("No2585","No2585.ogg",2) -- L'Astronomia est divisé en 4 livres, et d'après mes souvenirs l'édition qui se trouve au château ne les regroupe pas en un seul ouvrage. Il y a donc quatre tomes différents et peut-être quatre notes de Philibert !
		end
	end

end

function OnAskToResetOrAddIngredientAnswered(cooking, ingredient, response)

	PrintDebugMessage("OnAskToResetOrAddIngredientAnswered("..cooking..", "..ingredient..", "..response..")\n")

-- Vinaigre voleur et poudre anti-peste
	if ETAT_DAY == "D3" then 
		if response == "reset" then
			ResetIngredients("cooking2")
			ResetIngredients("cooking3")
			PlaguePowder = false
			PlagueVinegar = false
		elseif response == "add" then
			if ingredient == "A_ail" then
				pelter = 0
				AnimationSetToStart("bka1")
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
				GarlicOnBowl = false
				GarlicReady = false
				AnimationSetToStart("bka1")
				if OnCooking3 then
					AddIngredient("cooking3", "A_ail")
				else
					AddIngredient("cooking2", "A_ail")
					OnCooking2 = true
					ResetIngredientsToTest()
					PushIngredientToTest("A_ail")
					PushIngredientToTest("Vinegar")
					if CheckCookingFinished("cooking2") then
						VinegarReady = true
						DrawText("Ma1101","Ma1101.ogg",0) -- Ça doit être prêt.
					end
				end
			elseif ingredient == "Vinegar" then
				PlaySound("Sounds/SFX/N_RemplirRecipientEau.ogg",1)
				if OnCooking3 then
					AddIngredient("cooking3", "Vinegar")
				else
					AddIngredient("cooking2", "Vinegar")
					OnCooking2 = true
					ResetIngredientsToTest()
					PushIngredientToTest("A_ail")
					PushIngredientToTest("Vinegar")
					if CheckCookingFinished("cooking2") then
						VinegarReady = true
						DrawText("Ma1101","Ma1101.ogg",0) -- Ça doit être prêt.
					end
				end		
			elseif ingredient == "B_bois_cypres" then
				pelter = 0	
				AnimationSetToStart("bka1")
				AnimationSetToStart("bka1")
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)	
				CypressOnBowl = false
				CypressReady = false
				if OnCooking2 then
					AddIngredient("cooking2", "B_bois_cypres")
				else
					AddIngredient("cooking3", "B_bois_cypres")
					OnCooking3 = true
				end
			elseif ingredient == "B_iris_florence" then
				pelter = 0
				AnimationSetToStart("bka1")
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
				AnimationSetToStart("bka1")
				IrisOnBowl = false
				IrisReady = false
				if OnCooking2 then
					AddIngredient("cooking2", "B_iris_florence")
				else
					AddIngredient("cooking3", "B_iris_florence")
					OnCooking3 = true
				end
			elseif ingredient == "B_aloes" then
				pelter = 0
				AnimationSetToStart("bka1")
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)	
				AnimationSetToStart("bka1")
				AloeOnBowl = false
				AloeReady = false
				if OnCooking2 then
					AddIngredient("cooking2", "B_aloes")
				else
					AddIngredient("cooking3", "B_aloes")
					OnCooking3 = true
				end
			elseif ingredient == "Cloves" then
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
				if OnCooking2 then
					AddIngredient("cooking2", "Cloves")
				else
					AddIngredient("cooking3", "Cloves")
					OnCooking3 = true
				end
			elseif ingredient == "Rose" then
				PlaySound("Sounds/SFX/N_RemplirRecipientEau.ogg",1)
				if OnCooking2 then
					AddIngredient("cooking2", "Rose")
				else
					AddIngredient("cooking3", "Rose")
					OnCooking3 = true
				end
			elseif ingredient == "Musk" then
				PlaySound("Sounds/SFX/N_RemplirRecipientEau.ogg",1)
				if OnCooking2 then
					AddIngredient("cooking2", "Musk")
				else
					AddIngredient("cooking3", "Musk")
					OnCooking3 = true
				end
			elseif ingredient == "A_fiole_ambre" then
				RemoveFromBag("A_fiole_ambre")
				PlaySound("Sounds/SFX/N_RemplirRecipientEau.ogg",1)
				AddIngredient("cooking3", "A_fiole_ambre")
				DrawText("Ma1101","Ma1101.ogg",0) -- Ça doit être prêt.
				OnCooking3 = false
			elseif ingredient == "beewax" then
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
				if OnCooking2 then
					AddIngredient("cooking2", "beewax")
				elseif OnCooking3 then
					AddIngredient("cooking3", "beewax")
				elseif not OnCooking2 and not OnCooking3 and not VinegarTaken then
					AddIngredient("cooking2", "beewax")
					OnCooking2 = true
				elseif not OnCooking2 and not OnCooking3 and VinegarTaken then
					AddIngredient("cooking3", "beewax")
					OnCooking3 = true
				end
			elseif ingredient == "oil" then
				PlaySound("Sounds/SFX/N_RemplirRecipientEau.ogg",1)
				if OnCooking2 then
					AddIngredient("cooking2", "oil")
				elseif OnCooking3 then
					AddIngredient("cooking3", "oil")
				elseif not OnCooking2 and not OnCooking3 and not VinegarTaken then
					AddIngredient("cooking2", "oil")
					OnCooking2 = true
				elseif not OnCooking2 and not OnCooking3 and VinegarTaken then
					AddIngredient("cooking3", "oil")
					OnCooking3 = true
				end
			elseif ingredient == "Sage" then
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
				if OnCooking2 then
					AddIngredient("cooking2", "Sage")
				elseif OnCooking3 then
					AddIngredient("cooking3", "Sage")
				elseif not OnCooking2 and not OnCooking3 and not VinegarTaken then
					AddIngredient("cooking2", "Sage")
					OnCooking2 = true
				elseif not OnCooking2 and not OnCooking3 and VinegarTaken then
					AddIngredient("cooking3", "Sage")
					OnCooking3 = true
				end
			elseif ingredient == "Wine" then
				PlaySound("Sounds/SFX/N_RemplirRecipientEau.ogg",1)
				if OnCooking2 then
					AddIngredient("cooking2", "Wine")
				elseif OnCooking3 then
					AddIngredient("cooking3", "Wine")
				elseif not OnCooking2 and not OnCooking3 and not VinegarTaken then
					AddIngredient("cooking2", "Wine")
					OnCooking2 = true
				elseif not OnCooking2 and not OnCooking3 and VinegarTaken then
					AddIngredient("cooking3", "Wine")
					OnCooking3 = true
				end
			elseif ingredient == "A_argile" then
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
				pelter = 0
				AnimationSetToStart("bka1")
				ClayOnBowl = false
				ClayReady = false
				ClayOnBowl = false
				if OnCooking2 then
					AddIngredient("cooking2", "A_argile")
				elseif OnCooking3 then
					AddIngredient("cooking3", "A_argile")
				elseif not OnCooking2 and not OnCooking3 and not VinegarTaken then
					AddIngredient("cooking2", "A_argile")
					OnCooking2 = true
				elseif not OnCooking2 and not OnCooking3 and VinegarTaken then
					AddIngredient("cooking3", "A_argile")
					OnCooking3 = true
				end
			elseif ingredient == "B_chelidoine" then
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
				pelter = 0
				AnimationSetToStart("bka1")
				ChelidoineOnBowl = false
				ChelidoineReady = false
				if OnCooking2 then
					AddIngredient("cooking2", "B_chelidoine")
				elseif OnCooking3 then
					AddIngredient("cooking3", "B_chelidoine")
				elseif not OnCooking2 and not OnCooking3 and not VinegarTaken then
					AddIngredient("cooking2", "B_chelidoine")
					OnCooking2 = true
				elseif not OnCooking2 and not OnCooking3 and VinegarTaken then
					AddIngredient("cooking3", "B_chelidoine")
					OnCooking3 = true
				end
			elseif ingredient == "B_fenugrec" then
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
				pelter = 0
				AnimationSetToStart("bka1")
				FenugrecOnBowl = false
				FenugrecReady = false
				if OnCooking2 then
					AddIngredient("cooking2", "B_fenugrec")
				elseif OnCooking3 then
					AddIngredient("cooking3", "B_fenugrec")
				elseif not OnCooking2 and not OnCooking3 and not VinegarTaken then
					AddIngredient("cooking2", "B_fenugrec")
					OnCooking2 = true
				elseif not OnCooking2 and not OnCooking3 and VinegarTaken then
					AddIngredient("cooking3", "B_fenugrec")
					OnCooking3 = true
				end
			end
		end
	end

-- Aphrodisiaque	
	if ETAT_DAY == "D4" then
		if response == "reset" then
			if AphrodisiacReady or AppleOnPot or AmberOnPot then
				DrawText("Ma1115","Ma1115.ogg",0) -- Pas question, cette marmite contient des ingrédients trop rares.
			else		
				ResetIngredients("cooking7")
				AphrodisiacNearlyReady = false
				OnCooking7 = false
			end
		elseif response == "add" then
			if ingredient == "Wine" then
				PlaySound("Sounds/SFX/N_RemplirRecipientEau.ogg",1)
				if OnCooking7 then
					AddIngredient("cooking7", "Wine")
					ResetIngredientsToTest()
					PushIngredientToTest("Wine")
					PushIngredientToTest("IronFilings")
					PushIngredientToTest("SparrowBlood")
					PushIngredientToTest("Musk")
					PushIngredientToTest("Cinnamon")
					PushIngredientToTest("Cloves")
					PushIngredientToTest("Sugar")
					PushIngredientToTest("B_aloes")
					PushIngredientToTest("GratedNutmeg")
					PushIngredientToTest("IrisIllyrica")
					if CheckCookingFinished("cooking7") then
						AphrodisiacNearlyReady = true
					end
				else
					AddIngredient("cooking7", "Wine")
					OnCooking7 = true
				end
			elseif ingredient == "Sage" then
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
				if OnCooking7 then
					AddIngredient("cooking7", "Sage")
				else
					AddIngredient("cooking7", "Sage")
					OnCooking7 = true
				end
			elseif ingredient == "Cinnamon" then
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
				if OnCooking7 then
					AddIngredient("cooking7", "Cinnamon")
					ResetIngredientsToTest()
					PushIngredientToTest("Cinnamon")
					PushIngredientToTest("IronFilings")
					PushIngredientToTest("SparrowBlood")
					PushIngredientToTest("Musk")
					PushIngredientToTest("Wine")
					PushIngredientToTest("Cloves")
					PushIngredientToTest("Sugar")
					PushIngredientToTest("B_aloes")
					PushIngredientToTest("GratedNutmeg")
					PushIngredientToTest("IrisIllyrica")
					if CheckCookingFinished("cooking7") then
						AphrodisiacNearlyReady = true
					end
				else
					AddIngredient("cooking7", "Cinnamon")
					OnCooking7 = true
				end
			elseif ingredient == "Pepper" then
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
				if OnCooking7 then
					AddIngredient("cooking7", "Pepper")
				else
					AddIngredient("cooking7", "Pepper")
					OnCooking7 = true
				end
			elseif ingredient == "Ginger" then
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
				if OnCooking7 then
					AddIngredient("cooking7", "Ginger")
				else
					AddIngredient("cooking7", "Ginger")
					OnCooking7 = true
				end
			elseif ingredient == "Honey" then
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
				if OnCooking7 then
					AddIngredient("cooking7", "Honey")				
				else
					AddIngredient("cooking7", "Honey")
					OnCooking7 = true
				end
			elseif ingredient == "Absinthe" then
				PlaySound("Sounds/SFX/N_RemplirRecipientEau.ogg",1)
				if OnCooking7 then
					AddIngredient("cooking7", "Absinthe")
				else
					AddIngredient("cooking7", "Absinthe")
					OnCooking7 = true
				end
			elseif ingredient == "beewax" then
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
				if OnCooking7 then
					AddIngredient("cooking7", "beewax")
				else
					AddIngredient("cooking7", "beewax")
					OnCooking7 = true
				end
			elseif ingredient == "SparrowBlood" then
				PlaySound("Sounds/SFX/N_RemplirRecipientEau.ogg",1)
				if OnCooking7 then
					AddIngredient("cooking7", "SparrowBlood")
					ResetIngredientsToTest()
					PushIngredientToTest("SparrowBlood")
					PushIngredientToTest("IronFilings")
					PushIngredientToTest("Wine")
					PushIngredientToTest("Musk")
					PushIngredientToTest("Cinnamon")
					PushIngredientToTest("Cloves")
					PushIngredientToTest("Sugar")
					PushIngredientToTest("B_aloes")
					PushIngredientToTest("GratedNutmeg")
					PushIngredientToTest("IrisIllyrica")
					if CheckCookingFinished("cooking7") then
						AphrodisiacNearlyReady = true
					end
				else
					AddIngredient("cooking7", "SparrowBlood")
					OnCooking7 = true
				end
			elseif ingredient == "IronFilings" then
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
				if OnCooking7 then
					AddIngredient("cooking7", "IronFilings")
					ResetIngredientsToTest()
					PushIngredientToTest("IronFilings")
					PushIngredientToTest("Wine")
					PushIngredientToTest("SparrowBlood")
					PushIngredientToTest("Musk")
					PushIngredientToTest("Cinnamon")
					PushIngredientToTest("Cloves")
					PushIngredientToTest("Sugar")
					PushIngredientToTest("B_aloes")
					PushIngredientToTest("GratedNutmeg")
					PushIngredientToTest("IrisIllyrica")
					if CheckCookingFinished("cooking7") then
						AphrodisiacNearlyReady = true
					end
				else
					AddIngredient("cooking7", "IronFilings")
					OnCooking7 = true
				end
			elseif ingredient == "Musk" then
				PlaySound("Sounds/SFX/N_RemplirRecipientEau.ogg",1)
				if OnCooking7 then
					AddIngredient("cooking7", "Musk")
					ResetIngredientsToTest()
					PushIngredientToTest("Musk")
					PushIngredientToTest("IronFilings")
					PushIngredientToTest("SparrowBlood")
					PushIngredientToTest("Wine")
					PushIngredientToTest("Cinnamon")
					PushIngredientToTest("Cloves")
					PushIngredientToTest("Sugar")
					PushIngredientToTest("B_aloes")
					PushIngredientToTest("GratedNutmeg")
					PushIngredientToTest("IrisIllyrica")
					if CheckCookingFinished("cooking7") then
						AphrodisiacNearlyReady = true
					end	
				else
					AddIngredient("cooking7", "Musk")
					OnCooking7 = true
				end
			elseif ingredient == "Cloves" then
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
				if OnCooking7 then
					AddIngredient("cooking7", "Cloves")
					ResetIngredientsToTest()
					PushIngredientToTest("Cloves")
					PushIngredientToTest("IronFilings")
					PushIngredientToTest("SparrowBlood")
					PushIngredientToTest("Musk")
					PushIngredientToTest("Cinnamon")
					PushIngredientToTest("Wine")
					PushIngredientToTest("Sugar")
					PushIngredientToTest("B_aloes")
					PushIngredientToTest("GratedNutmeg")
					PushIngredientToTest("IrisIllyrica")
					if CheckCookingFinished("cooking7") then
						AphrodisiacNearlyReady = true
					end	
				else
					AddIngredient("cooking7", "Cloves")
					OnCooking7 = true
				end
			elseif ingredient == "Sugar" then
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
				if OnCooking7 then
					AddIngredient("cooking7", "Sugar")
					ResetIngredientsToTest()
					PushIngredientToTest("Sugar")
					PushIngredientToTest("IronFilings")
					PushIngredientToTest("SparrowBlood")
					PushIngredientToTest("Musk")
					PushIngredientToTest("Cinnamon")
					PushIngredientToTest("Cloves")
					PushIngredientToTest("Wine")
					PushIngredientToTest("B_aloes")
					PushIngredientToTest("GratedNutmeg")
					PushIngredientToTest("IrisIllyrica")
					if CheckCookingFinished("cooking7") then
						AphrodisiacNearlyReady = true
					end	
				else
					AddIngredient("cooking7", "Sugar")
					OnCooking7 = true
				end
			elseif ingredient == "GratedNutmeg" then
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
				if OnCooking7 then
					AddIngredient("cooking7", "GratedNutmeg")
					ResetIngredientsToTest()
					PushIngredientToTest("GratedNutmeg")
					PushIngredientToTest("IronFilings")
					PushIngredientToTest("SparrowBlood")
					PushIngredientToTest("Musk")
					PushIngredientToTest("Cinnamon")
					PushIngredientToTest("Cloves")
					PushIngredientToTest("Sugar")
					PushIngredientToTest("B_aloes")
					PushIngredientToTest("Wine")
					PushIngredientToTest("IrisIllyrica")
					if CheckCookingFinished("cooking7") then
						AphrodisiacNearlyReady = true
					end
				else
					AddIngredient("cooking7", "GratedNutmeg")
					OnCooking7 = true
				end
			elseif ingredient == "IrisIllyrica" then
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
				if OnCooking7 then
					AddIngredient("cooking7", "IrisIllyrica")
					ResetIngredientsToTest()
					PushIngredientToTest("IrisIllyrica")
					PushIngredientToTest("IronFilings")
					PushIngredientToTest("SparrowBlood")
					PushIngredientToTest("Musk")
					PushIngredientToTest("Cinnamon")
					PushIngredientToTest("Cloves")
					PushIngredientToTest("Sugar")
					PushIngredientToTest("B_aloes")
					PushIngredientToTest("GratedNutmeg")
					PushIngredientToTest("Wine")
					if CheckCookingFinished("cooking7") then
						AphrodisiacNearlyReady = true
					end	
				else
					AddIngredient("cooking7", "IrisIllyrica")
					OnCooking7 = true
				end
			elseif ingredient == "oil" then
				PlaySound("Sounds/SFX/N_RemplirRecipientEau.ogg",1)
				if OnCooking7 then
					AddIngredient("cooking7", "oil")				
				else
					AddIngredient("cooking7", "oil")
					OnCooking7 = true
				end	
			elseif ingredient == "Vinegar" then
				PlaySound("Sounds/SFX/N_RemplirRecipientEau.ogg",1)
				if OnCooking7 then
					AddIngredient("cooking7", "Vinegar")						
				else
					AddIngredient("cooking7", "Vinegar")
					OnCooking7 = true
				end
			elseif ingredient == "A_argile" then
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
				pelter = 0
				ClayOnBowl = false
				ClayReady = false
				AnimationSetToStart("bka1")
				if OnCooking7 then
					AddIngredient("cooking7", "A_argile")	
				else
					AddIngredient("cooking7", "A_argile")
					OnCooking7 = true
				end
			elseif ingredient == "A_ail" then
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
				pelter = 0
				GarlicOnBowl = false
				GarlicReadyl = false
				AnimationSetToStart("bka1")
				if OnCooking7 then
					AddIngredient("cooking7", "A_ail")	
				else
					AddIngredient("cooking7", "A_ail")
					OnCooking7 = true
				end
			elseif ingredient == "B_bois_cypres" then
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
				pelter = 0
				CypressOnBowl = false
				CypressReady = false
				AnimationSetToStart("bka1")
				if OnCooking7 then
					AddIngredient("cooking7", "B_bois_cypres")	
				else
					AddIngredient("cooking7", "B_bois_cypres")
					OnCooking7 = true
				end
			elseif ingredient == "B_aloes" then
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
				pelter = 0
				AloeOnBowl = false
				AloeReady = false
				AnimationSetToStart("bka1")
				if OnCooking7 then
					AddIngredient("cooking7", "B_aloes")
					ResetIngredientsToTest()
					PushIngredientToTest("B_aloes")
					PushIngredientToTest("IronFilings")
					PushIngredientToTest("SparrowBlood")
					PushIngredientToTest("Musk")
					PushIngredientToTest("Cinnamon")
					PushIngredientToTest("Cloves")
					PushIngredientToTest("Sugar")
					PushIngredientToTest("Wine")
					PushIngredientToTest("GratedNutmeg")
					PushIngredientToTest("IrisIllyrica")
					if CheckCookingFinished("cooking7") then
						AphrodisiacNearlyReady = true
					end		
				else
					AddIngredient("cooking7", "B_aloes")
					OnCooking7 = true
				end
			elseif ingredient == "B_iris_florence" then
				pelter = 0
				IrisOnBowl = false
				IrisReady = false
				AnimationSetToStart("bka1")
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
				if OnCooking7 then
					AddIngredient("cooking7", "B_iris_florence")	
				else
					AddIngredient("cooking7", "B_iris_florence")
					OnCooking7 = true
				end
			elseif ingredient == "B_chelidoine" then
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
				pelter = 0
				ChelidoineOnBowl = false
				ChelidoineReady = false
				if OnCooking7 then
					AddIngredient("cooking7", "B_chelidoine")				
				else
					AddIngredient("cooking7", "B_chelidoine")
					OnCooking7 = true
				end
			elseif ingredient == "B_fenugrec" then
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
				pelter = 0
				FenugrecOnBowl = false
				FenugrecReady = false
				AnimationSetToStart("bka1")
				if OnCooking7 then
					AddIngredient("cooking7", "B_fenugrec")
				else
					AddIngredient("cooking7", "B_fenugrec")
					OnCooking7 = true
				end
			elseif ingredient == "B_pommes_mandragore" then
					RemoveFromBag("B_pommes_mandragore")
					RemoveFromBag()
					PlaySound("Sounds/SFX/N_EcraserArgile.ogg",1)
					AppleOnPot = true
					if AmberOnPot  then
						AphrodisiacReady = true
						DrawText("Ma1103","Ma1103.ogg",0) -- Parfait ! Je crois que j'y suis.
						if(stove_state == 4) then
							StartAnimationPart("bla1", 10, 64, 1,  true)
						end
					end
			elseif ingredient == "A_ambre_gris" then
					RemoveFromBag("A_ambre_gris")
					RemoveFromBag()
					PlaySound("Sounds/SFX/N_EcraserArgile.ogg",1)
					AmberOnPot = true
					if AppleOnPot  then
						AphrodisiacReady = true
						DrawText("Ma1103","Ma1103.ogg",0) -- Parfait ! Je crois que j'y suis.
						if(stove_state == 4) then
							StartAnimationPart("bla1", 10, 64, 1,  true)
						end
					end
			elseif ingredient == "A_bouteille_eau" then
				PlaySound("Sounds/SFX/N_RemplirRecipientEau.ogg",1)
				RemoveFromBag("A_bouteille_eau")
				if OnCooking7 then
					AddIngredient("cooking7", "A_bouteille_eau")						
				else
					AddIngredient("cooking7", "A_bouteille_eau")
					OnCooking7 = true
				end
			end
		end		
	end

end

function OnWarpObjectHit(objectName)

	if objectName == "3D\\cs\\Warp_0011.wp" then 
		ChangeWarp(objectName)
	end
	if objectName == "3D\\StoveOpen" then
		if not stove_open and CreamReady and not CreamTaken then
			stove_open = true
			SetMarker("StoveOpen", -1, 0)
			StartAnimationPart("bna1", 1, 14, 1, true)
			StartAnimationPart("bma1", 140, 150, -1, true)
			StartAnimationPart("bla1", 10, 64, 1,  true)
		elseif not stove_open and AphrodisiacReady and not Aphrodisiac_212 then
			stove_open = true
			SetMarker("StoveOpen", -1, 0)
			StartAnimationPart("bna1", 1, 14, 1, true)
			StartAnimationPart("bma1", 140, 150, -1, true)
			StartAnimationPart("bla1", 10, 64, 1,  true)		
		elseif AphrodisiacHeated then
			SetMarker("Vinegar", -1, 0)
			SetMarker("beewax", -1, 0)
			SetMarker("oil", -1, 0)
			SetMarker("Sage", -1, 0)
			SetMarker("Wine", -1, 0)
			SetMarker("bka1", -1, 0)
			SetMarker("StoveOpen", -1, 0)
			SetMarker("bpa1", -1, 0)
			SetMarker("stove_door", -1, 0)
			SetMarker("cookingPot", -1, 0)
			SetMarker("Musk", -1, 0)
			SetMarker("Cloves", -1, 0)
			SetMarker("Rose", -1, 0)
			SetMarker("Sugar", -1, 0)
			SetMarker("Eucalyptus", -1, 0)
			SetMarker("IrisIllyrica", -1, 0)
			SetMarker("GratedNutmeg", -1, 0)
			SetMarker("SparrowBlood", -1, 0)
			SetMarker("IronFilings", -1, 0)
			SetMarker("Cinnamon", -1, 0)
			DrawText("Ma1483","Ma1483.ogg",0) -- Inutile.
		end
	end
	if objectName == "3D\\stove_door" then
		if stove_state == 1 then 
			stove_state = 2
			AnimationSetToStart("bma1") -- tiroir du poêle
			PlaySound("Sounds/SFX/N_FermeturePoele.ogg",1)
		elseif stove_state == 2 then 
			if Selected("A_briquet") then
				stove_state = 3
				StartAnimationPart("bma1", 50, 90, 1, true) -- tiroir du poêle
				PlaySound("Sounds/SFX/E_bo_feu_SAllume.ogg",1)
			else
				StartAnimationPart("bma1", 110, 111, -1, true) -- tiroir du poêle
				PlaySound("Sounds/SFX/N_FermeturePoele.ogg",1)
				stove_state = 1
			end
		elseif stove_state == 3 then 
			StartAnimationPart("bma1", 140, 150, -1, true) -- tiroir du poêle
			PlaySound("Sounds/SFX/N_FermeturePoele.ogg",1)
			 stove_state = 4 
		elseif stove_state == 4 then 
			StartAnimationPart("bma1", 60, 90,-1, true) -- tiroir du poêle
			PlaySound("Sounds/SFX/N_FermeturePoele.ogg",1)
			stove_state = 3
		else 
			stove_state = 2
			StartAnimationPart("bma1", 2, 3, -1, true) -- tiroir du poêle
			PlaySound("Sounds/SFX/N_FermeturePoele.ogg",1)
		end
	end

-- Pilon
	if objectName == "bpa1" then
		if ClayOnBowl and not ClayReady then
			PlaySound("Sounds/SFX/N_EcraserArgile.ogg",1)
			StartAnimationPart("bka1", 2, 3, -1, true)
			ClayReady = true
		elseif GarlicOnBowl and not GarlicReady then
			PlaySound("Sounds/SFX/N_EcraserArgile.ogg",1)
			StartAnimationPart("bka1",4,5,-1,true)
			GarlicReady = true
		elseif ChelidoineOnBowl and not ChelidoineReady then
			PlaySound("Sounds/SFX/N_EcraserArgile.ogg",1)
			StartAnimationPart("bka1",6,7,-1,true)
			ChelidoineReady = true
		elseif CypressOnBowl and not CypressReady then
			PlaySound("Sounds/SFX/N_EcraserArgile.ogg",1)
			StartAnimationPart("bka1",8,9,-1,true)
			CypressReady = true
		elseif AloeOnBowl and not AloeReady then
			PlaySound("Sounds/SFX/N_EcraserArgile.ogg",1)
			StartAnimationPart("bka1",10,11,-1,true)
			AloeReady = true
		elseif FenugrecOnBowl and not FenugrecReady then
			PlaySound("Sounds/SFX/N_EcraserArgile.ogg",1)
			StartAnimationPart("bka1",12,13,-1,true)
			FenugrecReady = true
		elseif IrisOnBowl and not IrisReady then
			PlaySound("Sounds/SFX/N_EcraserArgile.ogg",1)
			StartAnimationPart("bka1",14,15,-1,true)
			IrisReady = true
		else
			SetMarker("Vinegar", -1, 0)
			SetMarker("beewax", -1, 0)
			SetMarker("oil", -1, 0)
			SetMarker("Sage", -1, 0)
			SetMarker("Wine", -1, 0)
			SetMarker("bka1", -1, 0)
			SetMarker("StoveOpen", -1, 0)
			SetMarker("bpa1", -1, 0)
			SetMarker("stove_door", -1, 0)
			SetMarker("cookingPot", -1, 0)
			SetMarker("Musk", -1, 0)
			SetMarker("Cloves", -1, 0)
			SetMarker("Rose", -1, 0)
			SetMarker("Sugar", -1, 0)
			SetMarker("Eucalyptus", -1, 0)
			SetMarker("IrisIllyrica", -1, 0)
			SetMarker("GratedNutmeg", -1, 0)
			SetMarker("SparrowBlood", -1, 0)
			SetMarker("IronFilings", -1, 0)
			SetMarker("Cinnamon", -1, 0)
			DrawText("Ma1483","Ma1483.ogg",0) -- Inutile.
		end
	end

-- Bol
	if objectName == "bka1" then
		if Selected("A_argile") then
			if CreamTaken and ETAT_DAY == "D1" then
				DrawText("Ma0216", "Ma0216.ogg",0) -- Plus besoin de faire ça.
			else
				RemoveFromBag()
				pelter = 1
				ClayOnBowl = true
				StartAnimationPart("bka1", 1, 2, -1, true)
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
			end
		elseif ClayOnBowl and not ClayReady then
			DrawText("Ma1099", "Ma1099.ogg",0) -- Pas encore.
		elseif ClayOnBowl and ClayReady then
			if ETAT_DAY == "D1" then
				AskToResetOrAddIngredient("cooking1", "A_argile");
			else
				if OnCooking2 then
					AskToResetOrAddIngredient("cooking2", "A_argile");
				elseif OnCooking3 then
					AskToResetOrAddIngredient("cooking3", "A_argile");
				elseif not OnCooking2 and not OnCooking3 and not VinegarTaken then
					AskToResetOrAddIngredient("cooking2", "A_argile");
					OnCooking2 = true
				elseif not OnCooking2 and not OnCooking3 and VinegarTaken then
					AskToResetOrAddIngredient("cooking3", "A_argile");
					OnCooking3 = true
				elseif VinegarReady or PowderReady then
					DrawText("Ma0211", "Ma0211.ogg",0) -- Il faudrait un récipient.
				else
					AskToResetOrAddIngredient("cooking7", "A_argile");
				end
			end
		end
		
		if Selected("A_ail") then
			RemoveFromBag()
			PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
			StartAnimationPart("bka1",3,4,-1,true)
			GarlicOnBowl = true
		elseif GarlicOnBowl and not GarlicReady then
			DrawText("Ma1099", "Ma1099.ogg",0) -- Pas encore.
		elseif GarlicOnBowl and GarlicReady then
			if ETAT_DAY == "D1" then
				AskToResetOrAddIngredient("cooking1", "A_ail");
			elseif OnCooking2 then
				AskToResetOrAddIngredient("cooking2", "A_ail");
			elseif OnCooking3 then
				AskToResetOrAddIngredient("cooking3", "A_ail");
			elseif not OnCooking2 and not OnCooking3 then
				AskToResetOrAddIngredient("cooking2", "A_ail");
				OnCooking2 = true
			elseif VinegarReady or PowderReady then
				DrawText("Ma0211", "Ma0211.ogg",0) -- Il faudrait un récipient.
			else
				AskToResetOrAddIngredient("cooking7", "A_ail");
			end	
		elseif Selected("B_chelidoine") then
			RemoveFromBag()
			PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
			StartAnimationPart("bka1",5,6,-1,true)
			ChelidoineOnBowl = true
		elseif ChelidoineOnBowl and ChelidoineReady then
			if ETAT_DAY == "D1" then
				AskToResetOrAddIngredient("cooking1", "B_chelidoine");
			elseif OnCooking2 then
				AskToResetOrAddIngredient("cooking2", "B_chelidoine");
			elseif OnCooking3 then
				AskToResetOrAddIngredient("cooking3", "B_chelidoine");
			elseif not OnCooking2 and not OnCooking3 and not VinegarTaken then
				AskToResetOrAddIngredient("cooking2", "B_chelidoine");
				OnCooking2 = true
			elseif not OnCooking2 and not OnCooking3 and VinegarTaken then
				AskToResetOrAddIngredient("cooking3", "B_chelidoine");
				OnCooking3 = true
			elseif VinegarReady or PowderReady then
				DrawText("Ma0211", "Ma0211.ogg",0) -- Il faudrait un récipient.
			else
				AskToResetOrAddIngredient("cooking7", "B_chelidoine");
			end	
		elseif Selected("B_bois_cypres") then
			RemoveFromBag()
			PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
			StartAnimationPart("bka1",7,8,-1,true)
			CypressOnBowl = true
		elseif CypressOnBowl and not CypressReady then
			DrawText("Ma1099", "Ma1099.ogg",0) -- Pas encore.
		elseif CypressOnBowl and CypressReady then
			if ETAT_DAY == "D1" then
				AskToResetOrAddIngredient("cooking1", "B_bois_cypres");
			elseif OnCooking2 then
				AskToResetOrAddIngredient("cooking2", "B_bois_cypres");
			elseif OnCooking3 then
				AskToResetOrAddIngredient("cooking3", "B_bois_cypres");
			elseif not OnCooking2 and not OnCooking3 then
				AskToResetOrAddIngredient("cooking3", "B_bois_cypres");
				OnCooking3 = true
			elseif VinegarReady or PowderReady then
				DrawText("Ma0211", "Ma0211.ogg",0) -- Il faudrait un récipient.
			else
				AskToResetOrAddIngredient("cooking7", "B_bois_cypres");
			end	
		elseif Selected("B_aloes") then
			RemoveFromBag()
			PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
			StartAnimationPart("bka1",9,10,-1,true)
			AloeOnBowl = true
		elseif AloeOnBowl and not AloeReady then
			DrawText("Ma1099", "Ma1099.ogg",0) -- Pas encore.
		elseif AloeOnBowl and AloeReady then
			if ETAT_DAY == "D1" then
				AskToResetOrAddIngredient("cooking1", "B_aloes");
			elseif OnCooking2 then
				AskToResetOrAddIngredient("cooking2", "B_aloes");
			elseif OnCooking3 then
				AskToResetOrAddIngredient("cooking3", "B_aloes");
			elseif OnCooking7 then
				AskToResetOrAddIngredient("cooking7", "B_aloes");
			elseif not OnCooking2 and not OnCooking3 then
				AskToResetOrAddIngredient("cooking3", "B_aloes");
				OnCooking3 = true
			elseif VinegarReady or PowderReady then
				DrawText("Ma0211", "Ma0211.ogg",0) -- Il faudrait un récipient.
			else
				AskToResetOrAddIngredient("cooking7", "B_aloes");
			end	
		elseif Selected("B_fenugrec") then
			RemoveFromBag()
			PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
			StartAnimationPart("bka1",11,12,-1,true)
			FenugrecOnBowl = true
		elseif FenugrecOnBowl and not FenugrecReady then
			DrawText("Ma1099", "Ma1099.ogg",0) -- Pas encore.	
		elseif FenugrecOnBowl and FenugrecReady then
			if ETAT_DAY == "D1" then
				AskToResetOrAddIngredient("cooking1", "B_fenugrec");
			elseif OnCooking2 then
				AskToResetOrAddIngredient("cooking2", "B_fenugrec");
			elseif OnCooking3 then
				AskToResetOrAddIngredient("cooking3", "B_fenugrec");
			elseif not OnCooking2 and not OnCooking3 then
				AskToResetOrAddIngredient("cooking3", "B_fenugrec");
				OnCooking3 = true
			elseif VinegarReady or PowderReady then
				DrawText("Ma0211", "Ma0211.ogg",0) -- Il faudrait un récipient.
			else
				AskToResetOrAddIngredient("cooking7", "B_fenugrec");
			end	
		elseif Selected("B_iris_florence") then
			RemoveFromBag()
			PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
			StartAnimationPart("bka1",13,14,-1,true)
			IrisOnBowl = true
		elseif IrisOnBowl and not IrisReady then
			DrawText("Ma1099", "Ma1099.ogg",0) -- Pas encore.		
		elseif IrisOnBowl and IrisReady then
			if ETAT_DAY == "D1" then
				AskToResetOrAddIngredient("cooking1", "B_iris_florence");
			elseif OnCooking2 then
				AskToResetOrAddIngredient("cooking2", "B_iris_florence");
			elseif OnCooking3 then
				AskToResetOrAddIngredient("cooking3", "B_iris_florence");
			elseif not OnCooking2 and not OnCooking3 then
				AskToResetOrAddIngredient("cooking3", "B_iris_florence");
				OnCooking3 = true
			elseif VinegarReady or PowderReady then
				DrawText("Ma0211", "Ma0211.ogg",0) -- Il faudrait un récipient.
			else
				AskToResetOrAddIngredient("cooking7", "B_iris_florence");
			end
		else
			SetMarker("Vinegar", -1, 0)
			SetMarker("beewax", -1, 0)
			SetMarker("oil", -1, 0)
			SetMarker("Sage", -1, 0)
			SetMarker("Wine", -1, 0)
			SetMarker("bka1", -1, 0)
			SetMarker("StoveOpen", -1, 0)
			SetMarker("bpa1", -1, 0)
			SetMarker("stove_door", -1, 0)
			SetMarker("cookingPot", -1, 0)
			SetMarker("Musk", -1, 0)
			SetMarker("Cloves", -1, 0)
			SetMarker("Rose", -1, 0)
			SetMarker("Sugar", -1, 0)
			SetMarker("Eucalyptus", -1, 0)
			SetMarker("IrisIllyrica", -1, 0)
			SetMarker("GratedNutmeg", -1, 0)
			SetMarker("SparrowBlood", -1, 0)
			SetMarker("IronFilings", -1, 0)
			SetMarker("Cinnamon", -1, 0)
			DrawText("Ma1483","Ma1483.ogg",0) -- Inutile.
		end
	end

	if objectName == "3D\\Vinegar" then
		if ETAT_DAY == "D1" then
			if not CreamTaken then
				AskToResetOrAddIngredient("cooking1", "Vinegar");
			else
				DrawText("Ma0216", "Ma0216.ogg",0) -- Plus besoin de faire ça.
			end
		elseif ETAT_DAY == "D3" then
			if OnCooking2 then
				AskToResetOrAddIngredient("cooking2", "Vinegar");
			elseif OnCooking3 then
				AskToResetOrAddIngredient("cooking3", "Vinegar");
			elseif not OnCooking2 and not OnCooking3 then
				AskToResetOrAddIngredient("cooking2", "Vinegar");
				OnCooking2 = true
			end
		elseif ETAT_DAY == "D4" then
			if not Aphrodisiac_212 then
				AskToResetOrAddIngredient("cooking7", "Vinegar");
			else
				DrawText("Ma0216", "Ma0216.ogg",0) -- Plus besoin de faire ça.
			end
		elseif ETAT_DAY == "D5" then
				DrawText("Ma0216", "Ma0216.ogg",0) -- Plus besoin de faire ça.
		end
	end

	if objectName == "3D\\beewax" then 
		if ETAT_DAY == "D1" then
			if not CreamTaken then
				AskToResetOrAddIngredient("cooking1", "beewax");
			else
				DrawText("Ma0216", "Ma0216.ogg",0) -- Plus besoin de faire ça.
			end				
		elseif ETAT_DAY == "D3" then
			if OnCooking2 then
				AskToResetOrAddIngredient("cooking2", "beewax");
			elseif OnCooking3 then
				AskToResetOrAddIngredient("cooking3", "beewax");
			elseif not OnCooking2 and not OnCooking3 and not VinegarTaken then
				AskToResetOrAddIngredient("cooking2", "beewax");
				OnCooking2 = true
			elseif not OnCooking2 and not OnCooking3 and VinegarTaken then
				AskToResetOrAddIngredient("cooking3", "beewax");
				OnCooking3 = true
			end
--		elseif ETAT_DAY == "D4" then
--			if not Aphrodisiac_212 then
--				AskToResetOrAddIngredient("cooking7", "beewax");
--			else
--				DrawText("Ma0216", "Ma0216.ogg",0) -- Plus besoin de faire ça.
--			end
		elseif ETAT_DAY == "D5" then
				DrawText("Ma0216", "Ma0216.ogg",0) -- Plus besoin de faire ça.
		end
	end
	
	if objectName == "3D\\oil" then	
		if ETAT_DAY == "D1" then
			if not CreamTaken then
				AskToResetOrAddIngredient("cooking1", "oil");
			else
				DrawText("Ma0216", "Ma0216.ogg",0) -- Plus besoin de faire ça.
			end	
		elseif ETAT_DAY == "D3" then
			if OnCooking2 then
				AskToResetOrAddIngredient("cooking2", "oil");
			elseif OnCooking3 then
				AskToResetOrAddIngredient("cooking3", "oil");
			elseif not OnCooking2 and not OnCooking3 and not VinegarTaken then
				AskToResetOrAddIngredient("cooking2", "oil");
				OnCooking2 = true
			elseif not OnCooking2 and not OnCooking3 and VinegarTaken then
				AskToResetOrAddIngredient("cooking3", "oil");
			end
		elseif ETAT_DAY == "D4" then
			if not Aphrodisiac_212 then
				AskToResetOrAddIngredient("cooking7", "oil");
			else
				DrawText("Ma0216", "Ma0216.ogg",0) -- Plus besoin de faire ça.
			end
		elseif ETAT_DAY == "D5" then
				DrawText("Ma0216", "Ma0216.ogg",0) -- Plus besoin de faire ça.
		end
	end

	if objectName == "3D\\Wine" then	
		if ETAT_DAY == "D1" then
			if not CreamTaken then
				AskToResetOrAddIngredient("cooking1", "oil");
			else
				DrawText("Ma0216", "Ma0216.ogg",0) -- Plus besoin de faire ça.
			end	
		elseif ETAT_DAY == "D3" then
			if OnCooking2 then
				AskToResetOrAddIngredient("cooking2", "Wine");
			elseif OnCooking3 then
				AskToResetOrAddIngredient("cooking3", "Wine");
			elseif not OnCooking2 and not OnCooking3 and not VinegarTaken then
				AskToResetOrAddIngredient("cooking2", "Wine");
				OnCooking2 = true
			elseif not OnCooking2 and not OnCooking3 and VinegarTaken then
				AskToResetOrAddIngredient("cooking3", "Wine");
			end
		elseif ETAT_DAY == "D4" then
			if not Aphrodisiac_212 then
				AskToResetOrAddIngredient("cooking7", "Wine");
			else
				DrawText("Ma0216", "Ma0216.ogg",0) -- Plus besoin de faire ça.
			end
		elseif ETAT_DAY == "D5" then
				DrawText("Ma0216", "Ma0216.ogg",0) -- Plus besoin de faire ça.
		end
	end

	if objectName == "3D\\Sage" then 
		if ETAT_DAY == "D1" then
			if not CreamTaken then
				AskToResetOrAddIngredient("cooking1", "Sage");
			else
				DrawText("Ma0216", "Ma0216.ogg",0) -- Plus besoin de faire ça.
			end	
		elseif ETAT_DAY == "D3" then
			if OnCooking2 then
				AskToResetOrAddIngredient("cooking2", "Sage");
			elseif OnCooking3 then
				AskToResetOrAddIngredient("cooking3", "Sage");
			elseif not OnCooking2 and not OnCooking3 and not VinegarTaken then
				AskToResetOrAddIngredient("cooking2", "Sage");
				OnCooking2 = true
			elseif not OnCooking2 and not OnCooking3 and VinegarTaken then
				AskToResetOrAddIngredient("cooking3", "Sage");
			end
		elseif ETAT_DAY == "D4" then
			if not Aphrodisiac_212 then
				AskToResetOrAddIngredient("cooking7", "Sage");
			else
				DrawText("Ma0216", "Ma0216.ogg",0) -- Plus besoin de faire ça.
			end
		elseif ETAT_DAY == "D5" then
				DrawText("Ma0216", "Ma0216.ogg",0) -- Plus besoin de faire ça.
		end
	end

	if objectName == "3D\\Musk" then
		if ETAT_DAY == "D1" then
			if not CreamTaken then
				AskToResetOrAddIngredient("cooking1", "Musk");
			else
				DrawText("Ma0216", "Ma0216.ogg",0) -- Plus besoin de faire ça.
			end	
			elseif ETAT_DAY == "D3" then
				if OnCooking2 then
					AskToResetOrAddIngredient("cooking2", "Musk");
				elseif OnCooking3 then
					AskToResetOrAddIngredient("cooking3", "Musk");
				elseif not OnCooking2 and not OnCooking3 and not VinegarTaken then
					AskToResetOrAddIngredient("cooking2", "Musk");
					OnCooking2 = true
				elseif not OnCooking2 and not OnCooking3 and VinegarTaken then
					AskToResetOrAddIngredient("cooking3", "Musk");
				end
			elseif ETAT_DAY == "D4" then
				if not Aphrodisiac_212 then
					AskToResetOrAddIngredient("cooking7", "Musk");
				else
					DrawText("Ma0216", "Ma0216.ogg",0) -- Plus besoin de faire ça.
				end
			elseif ETAT_DAY == "D5" then
				DrawText("Ma0216", "Ma0216.ogg",0) -- Plus besoin de faire ça.
			end
		end

	if objectName == "3D\\Rose" then
		if ETAT_DAY == "D1" then
			if not CreamTaken then
				AskToResetOrAddIngredient("cooking1", "Rose");
			else
				DrawText("Ma0216", "Ma0216.ogg",0) -- Plus besoin de faire ça.
			end	
		elseif ETAT_DAY == "D3" then
			if OnCooking2 then
				AskToResetOrAddIngredient("cooking2", "Rose");
			elseif OnCooking3 then
				AskToResetOrAddIngredient("cooking3", "Rose");
			elseif not OnCooking2 and not OnCooking3 and not VinegarTaken then
				AskToResetOrAddIngredient("cooking2", "Rose");
				OnCooking2 = true
			elseif not OnCooking2 and not OnCooking3 and VinegarTaken then
				AskToResetOrAddIngredient("cooking3", "Rose");
				OnCooking3 = true
			end
		elseif ETAT_DAY == "D4" then
			if not Aphrodisiac_212 then
				AskToResetOrAddIngredient("cooking7", "Rose");
			else
				DrawText("Ma0216", "Ma0216.ogg",0) -- Plus besoin de faire ça.
			end
		elseif ETAT_DAY == "D5" then
				DrawText("Ma0216", "Ma0216.ogg",0) -- Plus besoin de faire ça.
		end
	end

	if objectName == "3D\\Cloves" then 
		if ETAT_DAY == "D1" then
			if not CreamTaken then
				AskToResetOrAddIngredient("cooking1", "Cloves");
			else
				DrawText("Ma0216", "Ma0216.ogg",0) -- Plus besoin de faire ça.
			end	
		elseif ETAT_DAY == "D3" then
			if OnCooking2 then
				AskToResetOrAddIngredient("cooking2", "Cloves");
			elseif OnCooking3 then
				AskToResetOrAddIngredient("cooking3", "Cloves");
			elseif not OnCooking2 and not OnCooking3 and not VinegarTaken then
				AskToResetOrAddIngredient("cooking2", "Cloves");
				OnCooking2 = true
			elseif not OnCooking2 and not OnCooking3 and VinegarTaken then
				AskToResetOrAddIngredient("cooking3", "Cloves");
				OnCooking3 = true
			end
		elseif ETAT_DAY == "D4" then
			if not Aphrodisiac_212 then
				AskToResetOrAddIngredient("cooking7", "Cloves");
			else
				DrawText("Ma0216", "Ma0216.ogg",0) -- Plus besoin de faire ça.
			end
		elseif ETAT_DAY == "D5" then
				DrawText("Ma0216", "Ma0216.ogg",0) -- Plus besoin de faire ça.
		end
	end

	if objectName == "3D\\cookingPot" then
		if ETAT_DAY == "D3" then
			if not VinegarTaken and VinegarReady then
				if Selected("A_recipient") then
					AddToBag("A_vinaigre_voleur")
					VinegarTaken = true
					VinegarReady = false
					PlaySound("Sounds/SFX/N_RemplirRecipientEau.ogg",1)
					OnCooking2 = false
					ResetIngredients("cooking2")
				else
					DrawText("Ma0211", "Ma0211.ogg",0) -- Il faudrait un récipient.
				end
			elseif Selected("A_fiole_ambre")  then
				ResetIngredientsToTest()
				PushIngredientToTest("B_bois_cypres")
				PushIngredientToTest("B_iris_florence")
				PushIngredientToTest("B_aloes")
				PushIngredientToTest("Cloves")
				PushIngredientToTest("Rose")
				PushIngredientToTest("Musk")
				if CheckCookingFinished("cooking3") then
					PowderReady = true
					AskToResetOrAddIngredient("cooking3", "A_fiole_ambre");
				else
					DrawText("Ma1088", "Ma1088.ogg",0) -- Cet ingrédient est trop précieux pour l'utiliser sans savoir quoi en faire.
				end
			elseif PowderReady and not PowderTaken then
				if Selected("A_recipient") then
					AddToBag("A_poudre_antipeste")
					PowderTaken = true
					PowderReady = false
					OnCooking3 = false
					ResetIngredients("cooking3")
				else
					DrawText("Ma0211", "Ma0211.ogg",0) -- Il faudrait un récipient.
				end
			else
				if not VinegarTaken and not Cooking3 then
					AskToResetOrAddIngredient("cooking2");
				elseif OnCooking3 then
					AskToResetOrAddIngredient("cooking3");
				else
					DrawText("Ma0216","Ma0216.ogg",0) -- Plus besoin de faire ça.
				end
			end
		elseif ETAT_DAY == "D4" then
			if Selected("A_bouteille_eau") and not Aphrodisiac_212 then
				AskToResetOrAddIngredient("cooking7", "A_bouteille_eau");
			end
			if Aphrodisiac_212 then
				DrawText("Ma1483","Ma1483.ogg",0) -- Inutile.
			elseif AphrodisiacHeated and not Aphrodisiac_212 then
				if Selected("A_recipient") then
					PlaySound("Sounds/SFX/N_RemplirRecipientEau.ogg",1)
					AddToBag("A_aphrodisiaque")
					ResetIngredients("cooking7")
					AphrodisiacReady = false
					Aphrodisiac_212 = true
					OnCooking7 = false
				else
					DrawText("Ma0211","Ma0211.ogg",0) -- Il faudrait un récipient.
				end
			elseif AphrodisiacNearlyReady then
				if Selected("B_pommes_mandragore") then
					AskToResetOrAddIngredient("cooking7", "B_pommes_mandragore");
				elseif Selected("A_ambre_gris") then
					AskToResetOrAddIngredient("cooking7", "A_ambre_gris");
				end
			elseif not AphrodisiacNearlyReady and (Selected("A_ambre_gris") or Selected("B_pommes_mandragore")) then
				DrawText("Ma1088", "Ma1088.ogg",0) -- Cet ingrédient est trop précieux pour l'utiliser sans savoir quoi en faire.
			else
				AskToResetOrAddIngredient("cooking7");				
--				DrawText("Ma1087", "Ma1087.ogg",0) -- Non, j'ai quelque chose à faire avant…
			end
		elseif ETAT_DAY == "D5" then
			DrawText("Ma1483","Ma1483.ogg",0) -- Inutile.
		end
	end

	-- Nostradamus à son bureau
	if objectName == "bza1" then
		if ETAT_DAY == "D2" then
			if BeenIn_071 then
				SetMarker("bza1",-1,0)
				AskSeparation()
			end
		elseif ETAT_DAY == "D4" then 
			SetMarker("bza1",-1,0)
			AskSeparation()
		elseif ETAT_DAY == "D5" then 
			LookAt(025,04)
			ShowDialog()
		end	
	end		

	if objectName == "3D\\cs\\Warp_0013.wp" and ETAT_DAY == "D3" then 
		ChangeWarp(objectName)
	end
	
	if objectName == "3D\\Absinthe" then
		if not Aphrodisiac_212 and ETAT_DAY == "D4" then
				AskToResetOrAddIngredient("cooking7", "Absinthe");
		else
			DrawText("Ma1483","Ma1483.ogg",0) -- Inutile.
		end
	end

	if objectName == "3D\\Cinnamon" then
		if not Aphrodisiac_212 and ETAT_DAY == "D4" then
			AskToResetOrAddIngredient("cooking7", "Cinnamon");
		else
			DrawText("Ma1483","Ma1483.ogg",0) -- Inutile.
		end
	end

	if objectName == "3D\\Pepper" then
		if not Aphrodisiac_212 and ETAT_DAY == "D4" then
			AskToResetOrAddIngredient("cooking7", "Pepper");
		else
			DrawText("Ma1483","Ma1483.ogg",0) -- Inutile.
		end
	end

	if objectName == "3D\\Ginger"  then
		if not Aphrodisiac_212 and ETAT_DAY == "D4" then
			AskToResetOrAddIngredient("cooking7", "Ginger");
		else
			DrawText("Ma1483","Ma1483.ogg",0) -- Inutile.
		end
	end

	if objectName == "3D\\Honey"  then
		if not Aphrodisiac_212 and ETAT_DAY == "D4" then
			AskToResetOrAddIngredient("cooking7", "Honey");
		else
			DrawText("Ma1483","Ma1483.ogg",0) -- Inutile.
		end
	end

	if objectName == "3D\\IronFilings"  then
		if not Aphrodisiac_212 and ETAT_DAY == "D4" then
			AskToResetOrAddIngredient("cooking7", "IronFilings");
		else
			DrawText("Ma1483","Ma1483.ogg",0) -- Inutile.
		end
	end

	if objectName == "3D\\SparrowBlood"  then
		if not Aphrodisiac_212 and ETAT_DAY == "D4" then
			AskToResetOrAddIngredient("cooking7", "SparrowBlood");
		else
			DrawText("Ma1483","Ma1483.ogg",0) -- Inutile.
		end
	end

	if objectName == "3D\\Sugar"  then
		if not Aphrodisiac_212 and ETAT_DAY == "D4" then
			AskToResetOrAddIngredient("cooking7", "Sugar");
		else
			DrawText("Ma1483","Ma1483.ogg",0) -- Inutile.
		end
	end

	if objectName == "3D\\GratedNutmeg" then
		if not Aphrodisiac_212 and ETAT_DAY == "D4" then
			AskToResetOrAddIngredient("cooking7", "GratedNutmeg");
		else
			DrawText("Ma1483","Ma1483.ogg",0) -- Inutile.
		end
	end

	if objectName == "3D\\IrisIllyrica" then
		if not Aphrodisiac_212 and ETAT_DAY == "D4" then
			AskToResetOrAddIngredient("cooking7", "IrisIllyrica");
		else
			DrawText("Ma1483","Ma1483.ogg",0) -- Inutile.
		end
	end	
end
